com.icesoft.faces.component.ext

## Class HtmlForm

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIForm
      - - javax.faces.component.html.HtmlForm
        - - com.icesoft.faces.component.ext.HtmlForm

- All Implemented Interfaces:
    com.icesoft.faces.component.IceExtended, java.util.EventListener, javax.faces.component.ActionSource, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class HtmlForm
      extends javax.faces.component.html.HtmlForm
      implements com.icesoft.faces.component.IceExtended, javax.faces.component.ActionSource

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.faces.component.html.HtmlForm

      `javax.faces.component.html.HtmlForm.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIForm

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface com.icesoft.faces.component.IceExtended

      `ENABLED_ON_USER_ROLE_ATTR, RENDERED_ON_USER_ROLE_ATTR`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlForm()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActionListener(javax.faces.event.ActionListener listener)`
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `javax.faces.el.MethodBinding` | `getAction()` Return the value of the `action` property.
    `javax.faces.el.MethodBinding` | `getActionListener()`
    `javax.faces.event.ActionListener[]` | `getActionListeners()`
    `java.lang.String` | `getAutocomplete()` Return the value of the `autocomplete` property.
    `java.lang.String` | `getEnabledOnUserRole()` Return the value of the `enabledOnUserRole` property.
    `boolean` | `getPartialSubmit()` Return the value of the `partialSubmit` property.
    `java.lang.String` | `getRenderedOnUserRole()` Return the value of the `renderedOnUserRole` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `boolean` | `isImmediate()` Return the value of the `immediate` property.
    `boolean` | `isRendered()` Return the value of the `rendered` property.
    `void` | `queueEvent(javax.faces.event.FacesEvent event)`
    `void` | `removeActionListener(javax.faces.event.ActionListener listener)`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)` Perform any processing required to restore the state from the entries in the state Object.
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)` Gets the state of the instance as a `Serializable` Object.
    `void` | `setAction(javax.faces.el.MethodBinding action)` Set the value of the `action` property.
    `void` | `setActionListener(javax.faces.el.MethodBinding actionListener)`
    `void` | `setAutocomplete(java.lang.String autocomplete)` Set the value of the `autocomplete` property.
    `void` | `setEnabledOnUserRole(java.lang.String enabledOnUserRole)` Set the value of the `enabledOnUserRole` property.
    `void` | `setImmediate(boolean immediate)` Set the value of the `immediate` property.
    `void` | `setPartialSubmit(boolean partialSubmit)` Set the value of the `partialSubmit` property.
    `void` | `setRenderedOnUserRole(java.lang.String renderedOnUserRole)` Set the value of the `renderedOnUserRole` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.

    - ### Methods inherited from class javax.faces.component.html.HtmlForm

      `getAccept, getAcceptcharset, getDefaultEventName, getDir, getEnctype, getEventNames, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnreset, getOnsubmit, getStyle, getTarget, getTitle, setAccept, setAcceptcharset, setDir, setEnctype, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnreset, setOnsubmit, setStyle, setTarget, setTitle`

    - ### Methods inherited from class javax.faces.component.UIForm

      `createUniqueId, getContainerClientId, getFamily, isPrependId, isSubmitted, processDecodes, processUpdates, processValidators, setPrependId, setSubmitted, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isTransient, markInitialState, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlForm

          public HtmlForm()

  - ### Method Detail

    - #### setPartialSubmit

          public void setPartialSubmit(boolean partialSubmit)

      Set the value of the `partialSubmit` property.

      Specified by:
        `setPartialSubmit` in interface `com.icesoft.faces.component.IceExtended`

    - #### getPartialSubmit

          public boolean getPartialSubmit()

      Return the value of the `partialSubmit` property.

      Specified by:
        `getPartialSubmit` in interface `com.icesoft.faces.component.IceExtended`

    - #### setEnabledOnUserRole

          public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

      Set the value of the `enabledOnUserRole` property.

      Specified by:
        `setEnabledOnUserRole` in interface `com.icesoft.faces.component.IceExtended`

    - #### getEnabledOnUserRole

          public java.lang.String getEnabledOnUserRole()

      Return the value of the `enabledOnUserRole` property.

      Specified by:
        `getEnabledOnUserRole` in interface `com.icesoft.faces.component.IceExtended`

    - #### setRenderedOnUserRole

          public void setRenderedOnUserRole(java.lang.String renderedOnUserRole)

      Set the value of the `renderedOnUserRole` property.

      Specified by:
        `setRenderedOnUserRole` in interface `com.icesoft.faces.component.IceExtended`

    - #### getRenderedOnUserRole

          public java.lang.String getRenderedOnUserRole()

      Return the value of the `renderedOnUserRole` property.

      Specified by:
        `getRenderedOnUserRole` in interface `com.icesoft.faces.component.IceExtended`

    - #### isRendered

          public boolean isRendered()

      Return the value of the `rendered` property.

      Overrides:
        `isRendered` in class `javax.faces.component.UIComponentBase`

    - #### setAutocomplete

          public void setAutocomplete(java.lang.String autocomplete)

      Set the value of the `autocomplete` property.

    - #### getAutocomplete

          public java.lang.String getAutocomplete()

      Return the value of the `autocomplete` property.

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Overrides:
        `setStyleClass` in class `javax.faces.component.html.HtmlForm`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Overrides:
        `getStyleClass` in class `javax.faces.component.html.HtmlForm`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Gets the state of the instance as a `Serializable` Object.

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Perform any processing required to restore the state from the entries in the state Object.

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent event)

      Overrides:
        `queueEvent` in class `javax.faces.component.UIComponentBase`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `javax.faces.component.UIComponentBase`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### setAction

          public void setAction(javax.faces.el.MethodBinding action)

      Set the value of the `action` property.

      Specified by:
        `setAction` in interface `javax.faces.component.ActionSource`

    - #### getAction

          public javax.faces.el.MethodBinding getAction()

      Return the value of the `action` property.

      Specified by:
        `getAction` in interface `javax.faces.component.ActionSource`

    - #### setActionListener

          public void setActionListener(javax.faces.el.MethodBinding actionListener)

      Specified by:
        `setActionListener` in interface `javax.faces.component.ActionSource`

    - #### getActionListener

          public javax.faces.el.MethodBinding getActionListener()

      Specified by:
        `getActionListener` in interface `javax.faces.component.ActionSource`

    - #### addActionListener

          public void addActionListener(javax.faces.event.ActionListener listener)

      Specified by:
        `addActionListener` in interface `javax.faces.component.ActionSource`

    - #### getActionListeners

          public javax.faces.event.ActionListener[] getActionListeners()

      Specified by:
        `getActionListeners` in interface `javax.faces.component.ActionSource`

    - #### removeActionListener

          public void removeActionListener(javax.faces.event.ActionListener listener)

      Specified by:
        `removeActionListener` in interface `javax.faces.component.ActionSource`

    - #### isImmediate

          public boolean isImmediate()

      Return the value of the `immediate` property.

      Specified by:
        `isImmediate` in interface `javax.faces.component.ActionSource`

    - #### setImmediate

          public void setImmediate(boolean immediate)

      Set the value of the `immediate` property.

      Specified by:
        `setImmediate` in interface `javax.faces.component.ActionSource`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.